commit:     59fb91b761840e19d61c3c50032c1d6c62c4101a
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 12 08:25:37 2021 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon Jul 12 13:26:30 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=59fb91b7

dev-ruby/patron: add ruby27; EAPI 7; fix extension

Package-Manager: Portage-3.0.20, Repoman-3.0.2
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/patron/patron-0.13.3-r1.ebuild | 39 +++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)

diff --git a/dev-ruby/patron/patron-0.13.3-r1.ebuild 
b/dev-ruby/patron/patron-0.13.3-r1.ebuild
new file mode 100644
index 00000000000..08c165ff73f
--- /dev/null
+++ b/dev-ruby/patron/patron-0.13.3-r1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby26 ruby27"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/patron/extconf.rb)
+RUBY_FAKEGEM_EXTENSION_DIR="lib/patron"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Patron is a Ruby HTTP client library based on libcurl"
+HOMEPAGE="https://toland.github.com/patron/";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux 
~ppc-macos ~x64-macos ~x64-solaris ~x86-solaris"
+IUSE=""
+
+DEPEND+=" net-misc/curl"
+RDEPEND+=" net-misc/curl"
+
+ruby_add_bdepend "test? ( dev-ruby/rack www-servers/puma )"
+
+all_ruby_prepare() {
+       # Fix Rakefile
+       sed -i -e 's:rake/rdoctask:rdoc/task:' \
+               -e 's/README.txt/README.md/' \
+               -e '/bundler/I s:^:#:' \
+               -e '/extensiontask/ s:^:#:' \
+               -e '/ExtensionTask/,/^end/ s:^:#:' \
+               Rakefile || die
+
+       # Avoid specs with failures. We were not running any specs before.
+       rm spec/session_ssl_spec.rb spec/session_spec.rb spec/response_spec.rb 
|| die
+}

Reply via email to